## org.exist.xquery.value
Class TimeValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.ComputableValue
              org.exist.xquery.value.AbstractDateTimeValue
                  org.exist.xquery.value.TimeValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

public class TimeValue
extends AbstractDateTimeValue

Author:
  Wolfgang Meier (wolfgang@exist-db.org), Piotr Kaminski

Field Summary

Fields inherited from class org.exist.xquery.value.AbstractDateTimeValue
`calendar, DAY, HOUR, MILLISECOND, MINUTE, MONTH, SECOND, YEAR`

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`TimeValue()`
`TimeValue(java.lang.String timeValue)`
`TimeValue(javax.xml.datatype.XMLGregorianCalendar calendar)`

Method Summary
`AtomicValue` `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`int` `getType()` Return the type of this item according to the type constants defined in class `Type`.
`ComputableValue` `minus(ComputableValue other)`
`ComputableValue` `plus(ComputableValue other)`

Methods inherited from class org.exist.xquery.value.AbstractDateTimeValue
`adjustedToTimezone, compareTo, compareTo, compareTo, conversionPreference, div, effectiveBooleanValue, getPart, getStringValue, getTimezone, max, min, mult, toJavaObject, withoutTimezone`

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, contains, copyTo, deserialize, dump, endsWith, getCardinality, getDocumentSet, getItemType, getLength, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeValue

    public TimeValue()
              throws XPathException

### TimeValue

    public TimeValue(javax.xml.datatype.XMLGregorianCalendar calendar)
              throws XPathException

### TimeValue

    public TimeValue(java.lang.String timeValue)
              throws XPathException

Method Detail

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `AtomicValue`

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `AbstractDateTimeValue`
  Throws:
    `XPathException`

### minus

    public ComputableValue minus(ComputableValue other)
                          throws XPathException

  Specified by:
    `minus` in class `ComputableValue`
  Throws:
    `XPathException`

### plus

    public ComputableValue plus(ComputableValue other)
                         throws XPathException

  Overrides:
    `plus` in class `AbstractDateTimeValue`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.